<?php
namespace DsbNext\Services;

class ParametersDashboardService {
    
  public function __construct($entityManager, $environment){
    $this->connection = $entityManager->getConnection();
    $this->environment = $environment;
  }
  
  public function beginTransaction() {
    $this->connection->beginTransaction();
  }
  
  public function commit() {
    $this->connection->commit();
  }
  
  public function rollback() {
    $this->connection->rollback();
  }
  
  public function insertProfile ($params){
    $query = "INSERT INTO PERFACLPAINEL 
                          (NRPERFACLPAINEL, NRPERFILACESSO, NRPAINEL, CDFILIAL, IDPADRAODASH,  NRORG) 
                  VALUES 
                          (:NRPERFACLPAINEL, :NRPERFILACESSO,  :NRPAINEL, :CDFILIAL, :IDPADRAODASH, :NRORG)";
    try {
        $stmt = $this->connection->prepare($query);
        $stmt->execute($params);
    } catch (Exception $e){
        throw $e;
    };
  }
  
  public function deleteProfileAccess ($params){
    $query = "DELETE 
                FROM PERFACLPAINEL
               WHERE
                     NRPERFACLPAINEL = :NRPERFACLPAINEL";
    try {
        $stmt = $this->connection->prepare($query);
        $stmt->execute($params);
    } catch (Exception $e){
        throw $e;
    };
  }
}